Summary:        Kernel and Hardware related utilities
Name:           kernel-utils
Version:        2.4
Release:	8.29
Serial:         1
Group:          System Environment/Base
License:        GPL
Url:            http://www.urbanmyth.org/microcode/
Source0:        microcode_ctl-1.06.tar.gz
Source1:	microcode_ctl.init
Source10:	dmidecode.c
Source20: 	smartsuite-2.1.tar.gz
Source30:	cpqarrayd-1.2.tar.gz
Source50:	x86info-1.11.tgz
Source60:	longrun-0.9.tar.bz2
Source70:	uml_utilities_20020821.tar.bz2
Source80:	pmtools-20010730.tar.gz
Source81:	report-acpi-bug
Source90:	irqbalance-0.05.tar.gz
Source91:	irqbalance.init
Source92:	irqbalance.sysconfig
Buildroot:      %{_tmppath}/%{name}-%{version}-root
Prereq:		/sbin/chkconfig /sbin/service
Requires:	fileutils
BuildPreReq: 	net-snmp-devel kernel-source glib2-devel readline-devel ncurses-devel /usr/bin/aclocal /usr/bin/automake /usr/bin/autoconf openssl-devel
%ifarch {ix86}
Obsoletes:	microcode_ctl
%endif
Patch1: microcode_ctl.patch
Patch20: smartsuite.patch
Patch30: cpqarrayd.patch
Patch31: kernel-utils-netsnmp.patch
Patch32: uml_utilities-nocldwait.patch
ExclusiveArch: i386

%description
kernel-utils contains several utilities that can be used to control
the kernel or your machines hardware. Included are
* dmidecode - gives information about the bios and motherboard revisisons
* microcode_ctl - updates the microcode on Intel cpu's
* smartctl - monitor the health of your disks


%prep
%setup -q -c -a 0 -a 20 -a 30 -a 50 -a60 -a 70 -a80 -a90

%patch1
%patch20
%patch30
%patch31 -p1
%patch32 -p1

%build
rm -rf $RPM_BUILD_ROOT

mkdir -p %{buildroot}/usr/sbin
mkdir -p %{buildroot}/usr/man
mkdir -p %{buildroot}/etc/rc.d/init.d
mkdir -p %{buildroot}/etc/sysconfig
gcc %{SOURCE10} -o  %{buildroot}/usr/sbin/dmidecode

%ifarch %{ix86}
cd microcode_ctl-1.06
make CFLAGS="$RPM_OPT_FLAGS"
cd ..
%endif
cd tools
make

%install
mkdir -p %{buildroot}/usr/share/man/man{1,8}

%ifarch %{ix86}
cd microcode_ctl-1.06

make DESTDIR=$RPM_BUILD_ROOT PREFIX=%{_prefix} \
     INSDIR=/sbin MANDIR=%{_mandir}/man8 RCDIR=/etc MICDIR=/etc/firmware install clean

install %{SOURCE1} %{buildroot}/etc/rc.d/init.d/microcode_ctl
rm %{buildroot}/etc/init.d/microcode_ctl

cd ../x86info-1.11
make
install x86info %{buildroot}/usr/sbin/x86info
install  x86info.1 %{buildroot}/usr/share/man/man1/
cd ..

cd longrun
make
install longrun %{buildroot}/usr/sbin
install longrun.1 %{buildroot}/usr/share/man/man1

cd ../tools
make install DESTDIR=$RPM_BUILD_ROOT

cd ../pmtools-20010730
cd acpidmp
make
cp acpidmp %{buildroot}/usr/sbin/acpidmp
cd ..
cd acpidisasm
make
cp acpidisasm %{buildroot}/usr/sbin/acpidisasm
cd ../..
install %{SOURCE81} %{buildroot}/usr/sbin/report-acpi-bug
%endif

cd smartsuite-2.1
make DESTDIR=$RPM_BUILD_ROOT smartd smartctl install

%ifnarch x86_64
cd ../cpqarrayd-1.2
sh autogen.sh
make
install cpqarrayd %{buildroot}/usr/sbin/cpqarrayd
install scripts/cpqarrayd %{buildroot}/etc/rc.d/init.d/cpqarrayd
%endif

cd ../irqbalance
make
install irqbalance  %{buildroot}/usr/sbin
install %{SOURCE91} %{buildroot}/etc/rc.d/init.d/irqbalance
install %{SOURCE92} %{buildroot}/etc/sysconfig/irqbalance

chmod -R a-s %{buildroot}
%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -r $RPM_BUILD_ROOT;

%files
%defattr(-,root,root)
%ifarch %{ix86}
/etc/rc.d/init.d/microcode_ctl
/etc/firmware/*
/usr/sbin/irqbalance
/sbin/microcode_ctl
/usr/sbin/x86info
/usr/sbin/longrun
/usr/sbin/acpidmp
/usr/sbin/acpidisasm
/usr/sbin/report-acpi-bug
%{_libdir}/uml/port-helper
%{_bindir}/uml_mconsole
%{_bindir}/tunctl
%{_bindir}/uml_net
%{_bindir}/jailtest
%{_bindir}/uml_moo
%{_bindir}/uml_switch
%{_bindir}/uml_watchdog
%endif
%{_mandir}/*/*
/usr/sbin/smartd
/usr/sbin/smartctl
/etc/rc.d/init.d/smartd
/etc/rc.d/init.d/irqbalance
/etc/sysconfig/irqbalance
/usr/sbin/dmidecode
%ifnarch x86_64
/usr/sbin/cpqarrayd
/etc/rc.d/init.d/cpqarrayd
%endif

%preun
if [ "$1" = "0" ] ; then
 /sbin/service smartd stop
%ifarch %{ix86}
 /sbin/chkconfig --del microcode_ctl
%endif
 /sbin/chkconfig --del smartd
fi
 /sbin/chkconfig --del irqbalance

%post
/sbin/chkconfig --add smartd
/sbin/chkconfig --add irqbalance
%ifarch %{ix86}
/sbin/chkconfig --add microcode_ctl
%endif

%changelog
* Wed Jan 22 2003 Michael K. Johnson <johnsonm@redhat.com> 2.4-8.28
- /etc/sysconfig/irqbalance to set --oneshot from config file

* Sun Jan 19 2003 Arjan van de Ven <arjanv@redhat.com> 2.4-8.26
- updated irqbalance code

* Sat Jan 18 2003 Arjan van de Ven <arjanv@redhat.com> 2.4-8.23
- add initial irqbalance code

* Thu Jan 16 2003 Bill Nottingham <notting@redhat.com> 2.4-8.22
- fix %%post/%%preun on non-x86

* Tue Jan  7 2003 Nalin Dahyabhai <nalin@redhat.com> 2.4-8.21
- Rebuild

* Fri Dec 13 2002 Elliot Lee <sopwith@redhat.com> 2.4-8.20
- Build on all archs

* Thu Dec 12 2002 Michael K. Johnson <johnsonm@redhat.com> 2.4-8.19
- added report-acpi-bug script

* Tue Dec 03 2002 Arjan van de Ven <arjanv@redhat.com> 2.4-8.18
- update x86info to version 1.11
- include pmtools for acpi disasm

* Fri Nov 15 2002 Michael K. Johnson <johnsonm@redhat.com> 2.4-8.17
- HP hasn't said it is shipping hammer, so no need for cpqarrayd on hammer
- uml is x86-only for now -- should probably move to its own package
- deal with new net-snmp additional #include requirements

* Thu Nov 14 2002 Michael K. Johnson <johnsonm@redhat.com> 2.4-8.15
- Added acpidmp for x86 only for now (has x86-specific bits in it)
- Updated package cruft removal

* Thu Sep 12 2002 Guy Streeter <streeter@redhat.com> 2.4-8.14
- No eepro100-diag for ppc.

* Fri Aug 23 2002 Elliot Lee <sopwith@redhat.com> 2.4-8.13
- Don't cop out of building uml_net on ia64 - instead, remove usage of
  (effect-free) SA_NOCLDWAIT if not defined.
- Include all the uml tools (+ jailtest/uml_moo/uml_switch/uml_watchdog)

* Fri Aug 23 2002 Arjan van de Ven <arjanv@redhat.com> 2.4-8.12
- add uml tools

* Wed Aug 21 2002 Elliot Lee <sopwith@redhat.com> 2.4-8.11
- Remove ExclusiveArch: i386 (since it builds everywhere)
- Include smartd/smartctl man pages

* Wed Jul 31 2002 Arjan van de Ven <arjanv@redhat.com>
- added longrun uitility

* Thu Jun 27 2002 Elliot Lee <sopwith@redhat.com> 2.4-8.7
- Patch31 for net-snmp 

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Jun 20 2002 Michael K. Johnson <johnsonm@redhat.com>
- include the man pages

* Sat Mar 30 2002	Arjan van de Ven <arjanv@redhat.com>
- change initorder to not shut services down after NFS has shut down
  to allow /usr to be NFS mounted

* Wed Mar 20 2002	Arjan van de Ven <arjanv@redhat.com>
- fix microcode_ctl to work on smp

* Thu Mar 14 2002 Bill Nottingham <notting@redhat.com> 2.4-5
- don't run things by default

* Wed Feb  6 2002 Tim Powers <timp@redhat.com> 2.4-3.6.2
- fix %%post sciptlet typo

* Mon Feb 04 2002	Arjan van de Ven <arjanv@redhat.com>
- fail gracefully in microcode_ctl if firmware isn't downloaded

* Mon Jan 28 2002	Arjan van de Ven <arjanv@redhat.com>
- added x86info

* Tue Jan 15 2002       Bill Nottingham <notting@redhat.com>
- move eepro100-diag from kudzu to here

* Fri Jan 11 2002	Arjan van de Ven <arjanv@redhat.com>
- added cpqarrayd for monitoring cpqarray drives too
  from http://starbreeze.knoware.nl/~hugo/compaq/

* Mon Jan 07 2002	Arjan van de Ven <arjanv@redhat.com>
- added smartsuite for monitoring disk health status

* Fri Dec 07 2001	Arjan van de Ven <arjanv@redhat.com>
- Initial packaging
